Page MenuHomePhabricator

Release notes update
ClosedPublic

Authored by delena on Mar 22 2016, 8:27 AM.

Diff Detail

Repository
rL LLVM

Event Timeline

delena updated this revision to Diff 51290.Mar 22 2016, 8:27 AM
delena retitled this revision from to Release notes update.
delena updated this object.
delena added a reviewer: Ayal.
delena set the repository for this revision to rL LLVM.
Ayal added inline comments.Mar 22 2016, 11:04 AM
../docs/ReleaseNotes.rst
121 ↗(On Diff #51290)

make sure quotes are around each of the intrinsics separately:
`llvm.masked.load`
and
`llvm.masked.store`

241 ↗(On Diff #51290)
  • LLVM now supports Intel's CPU codenamed Skylake Server with its AVX-512 extensions using
243 ↗(On Diff #51290)

can put F first, then alphabetically, and shorten to:
AVX-512{F, BW, CD, DQ, VL}.

245 ↗(On Diff #51290)

LLVM now supports the Intel's CPU codenamed Knights Landing with its AVX-512 extensions using
`-march=knl`. The switch enables the ISA extensions AVX-512{F, ER, PF}.

delena updated this revision to Diff 51519.Mar 24 2016, 1:38 AM
delena removed rL LLVM as the repository for this revision.
delena marked 4 inline comments as done.
delena added a subscriber: llvm-commits.

I applied Ayal's comments and rebased changes to the current trunk

Please complete this review ..

kbsmith1 accepted this revision.Mar 28 2016, 2:11 PM
kbsmith1 edited edge metadata.

LGTM

This revision is now accepted and ready to land.Mar 28 2016, 2:11 PM
This revision was automatically updated to reflect the committed changes.